SDL_GetRenderColorScale(3)

NAME
SDL_GetRenderColorScale - Get the color scale used for render operations.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_GetRenderColorScale(SDL_Renderer *renderer, float *scale);

FUNCTION PARAMETERS

renderer
    the rendering context.

scale
    a pointer filled in with the current color scale value.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetRenderColorScale(3)